"use strict";
/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.toGlobalDataVersion = void 0;
const docs_1 = require("./docs");
function toGlobalDataDoc(doc) {
    return {
        id: doc.unversionedId,
        path: doc.permalink,
        sidebar: doc.sidebar,
    };
}
function toGlobalDataGeneratedIndex(doc) {
    return {
        id: doc.slug,
        path: doc.permalink,
        sidebar: doc.sidebar,
    };
}
function toGlobalDataVersion(version) {
    return {
        name: version.versionName,
        label: version.label,
        isLast: version.isLast,
        path: version.path,
        mainDocId: (0, docs_1.getMainDocId)(version),
        docs: version.docs
            .map(toGlobalDataDoc)
            .concat(version.categoryGeneratedIndices.map(toGlobalDataGeneratedIndex)),
        draftIds: version.drafts.map((doc) => doc.unversionedId),
        sidebars: version.sidebars,
    };
}
exports.toGlobalDataVersion = toGlobalDataVersion;
